'use strict'
const merge = require('webpack-merge')
const prodEnv = require('./prod.env')

let params = process.argv[4]
let baseUrl = ''
switch (params) {
  case '--env=uat':
    baseUrl = '"https://uat.servant.lifejingzhi.com"'
    break
  case '--env=prod':
    baseUrl = '"https://servant.lifejingzhi.com"'
    break
  default:
    baseUrl = '"https://uat.servant.lifejingzhi.com"'
}
module.exports = merge(prodEnv, {
  NODE_ENV: '"development"',
  baseUrl: baseUrl
})
